## wader 0.5.9

=== debian/changelog ===
wader (0.5.9-1) unstable; urgency=low

  * Initial packaging (Closes: #492875)

 -- Alex Chiang <achiang@canonical.com>  Mon, 07 Nov 2011 21:02:23 -0800

## wader 0.5.10

=== Makefile ===
SHELL = /bin/bash

VERSION := $(shell python -c 'from wader.common.consts import APP_VERSION; print APP_VERSION')
SOURCES := $(shell rpmbuild --eval '%{_topdir}' 2>/dev/null)/SOURCES
WV := wader-$(VERSION)

all:
	@echo Usage: make deb \[TARGET=ubuntu-lucid\] \| rpm

rpm:
	@if [ ! -d $(SOURCES) ] ;\
	then\
		echo 'SOURCES does not exist, are you running on a non RPM based system?';\
		exit 1;\
	fi

	tar -jcvf $(SOURCES)/$(WV).tar.bz2 --exclude=.git --transform="s/^\./$(WV)/" .
	rpmbuild -ba resources/rpm/wader.spec

deb:
	@if [ ! -d /var/lib/dpkg ] ;\
	then\
		echo 'Debian package directory does not exist, are you running on a non Debian based system?';\
		exit 1;\
	fi

	@if [ -d packaging/debian/$(TARGET)/debian ] ;\
	then\
		PKGSOURCE=$(TARGET);\
	else\
		PKGSOURCE=generic;\
	fi;\
	tar -C packaging/debian/$$PKGSOURCE -cf - debian | tar -xf -

	@if ! head -1 debian/changelog | grep -q $(VERSION) ;\
	then\
		echo Changelog and package version are different;\
		exit 1;\
	fi

	dpkg-buildpackage -rfakeroot

=== debian/changelog ===
wader (0.5.10-1) unstable; urgency=low

  * New upstream release

 -- Alex Chiang <achiang@canonical.com>  Wed, 25 Jan 2012 00:39:00 +0000

=== debian/control ===
Source: wader
Maintainer: Alex Chiang <achiang@canonical.com>
Section: net
Priority: optional
Build-Depends: debhelper (>= 7.0.50~),
               mobile-broadband-provider-info,
               python-all (>= 2.6.6-3),
               python-dbus,
               python-gconf,
               python-gobject,
               python-m2crypto,
               python-messaging,
               python-nose,
               python-setuptools,
               python-twisted-core,
               python-tz
Standards-Version: 3.9.2
Homepage: https://github.com/andrewbird/wader

Package: wader-core
Architecture: all
Section: net
Depends: python-dbus,
         python-gudev,
         python-messaging,
         python-serial,
         python-twisted-core,
         python-tz,
         python-wader (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Recommends: mobile-broadband-provider-info,
            python-m2crypto,
            python-twisted-conch,
            usb-modeswitch,
            wvdial | network-manager
Breaks: ${python:Breaks}
Conflicts: modemmanager
Provides: modemmanager
Description: alternative D-Bus service for managing modems
 A drop-in replacement for modemmanager and alternative implementation of the
 ModemManager API, with extensive support for many UMTS devices, simple plugin
 system for supporting new devices, robust USSD stack, multipart SMS, MMS
 reception, extensible AT engine, and handles binary SMS cleanly.
 .
 If your 3G device does not work well with ModemManager, you may wish to read
   https://github.com/andrewbird/wader/blob/master/SUPPORTED_DEVICES
 to learn if wader-core is a better alternative for you.
 .
 This package provides the wader-core daemon.

Package: python-wader
Architecture: all
Section: python
Depends: python-dbus,
         python-epsilon,
         python-m2crypto,
         python-messaging,
         python-tz,
         ${misc:Depends},
         ${python:Depends}
Description: common services for wader-core daemon and alternate clients
 A python module providing access to various utilities required by the
 wader-core daemon, such as:
  - AES encryption
  - AT error handling
  - SMS/MMS abstraction
  - robust USSD stack
  - network provider database
  - 3G profile abstraction
  - system service interface to GConf and D-Bus
  - ModemManager constants
 .
 This package can also be used to implement an application requiring access to
 the above listed 3G telephony stack features.

## wader 0.5.12

=== Makefile ===
--- 
+++ 
@@ -14,6 +14,8 @@
 		exit 1;\
 	fi
 
+	touch resources/extra/networks.py
+
 	tar -jcvf $(SOURCES)/$(WV).tar.bz2 --exclude=.git --transform="s/^\./$(WV)/" .
 	rpmbuild -ba resources/rpm/wader.spec
 
@@ -23,6 +25,8 @@
 		echo 'Debian package directory does not exist, are you running on a non Debian based system?';\
 		exit 1;\
 	fi
+
+	touch resources/extra/networks.py
 
 	@if [ -d packaging/debian/$(TARGET)/debian ] ;\
 	then\

=== plugins/contacts/sqlite/doc/Makefile ===
# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html htmlhelp latex changes coverage

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  coverage  to check documentation coverage for library and C API"

clean:
	-rm -rf _build/*

html:
	mkdir -p _build/html _build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

latex:
	mkdir -p _build/latex _build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

htmlhelp:
	mkdir -p _build/htmlhelp _build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

changes:
	mkdir -p _build/changes _build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

coverage:
	mkdir -p _build/coverage _build/doctrees
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) _build/coverage
	@echo
	@echo "Coverage finished; see _build/coverage/python.txt"

=== debian/changelog ===
wader (0.5.12-1) unstable; urgency=low

  * New upstream release

 -- Alex Chiang <achiang@canonical.com>  Sun, 27 May 2012 10:54:01 -0600

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python-setuptools,
                python-twisted-core,
                python-tz
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: https://github.com/andrewbird/wader
 
 Package: wader-core

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_install:
	dh_install -Xtest

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	set -ex; for python in $(shell pyversions -r) ; do \
		$$python /usr/bin/nosetests -w . test \
			-m '(?:^|[\b_\./-])[Tt]est(?!_contact)(?!_dbus)' \
			-e test_int_to_uint32_to_int_conversion \
			-e test_populate_db_from_networks_py_real \
			; \
	done
endif

=== debian/watch ===
version=3
http://githubredir.debian.net/github/andrewbird/wader/(.*).tar.gz

## wader 0.5.13

=== debian/changelog ===
wader (0.5.13-1) unstable; urgency=medium

  * New upstream release
    - Start application directly, not via shell (Closes: #701120)
  * Drop fix-network_info.id-type-issues.patch included upstream
  * Update debian/watch, thanks Bart Martens
  * Add debian/clean
  * Update debian/copyright
  * Include upstream's wader-core.postrm (Closes: #683265)
  * Update debian/control:
    - Update my email address
    - Bump debhelper compat level to 9
    - Add dh-python package to Build-Depends
    - Fix duplicate section field and capitalization error
    - Wrap-and-sort
    - Use https for Vcs-Browser
    - Bump Standards-Version to 3.9.7, no further changes

 -- Graham Inggs <ginggs@debian.org>  Tue, 23 Feb 2016 12:14:47 +0200

wader (0.5.12-2) unstable; urgency=low

  [ Alex Chiang ]
  * debian/control: add Vcs-* (Closes: #662823)

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.
  * Use empty lines to separate paragraphs in debian/control.

  [ Graham Inggs ]
  * Change maintainer to Debian Python Applications Team.
  * Add myself to uploaders (Closes: #774577)
  * Fix DB apn.network_id / network_info.id type issues. (Closes: #768756)

 -- Graham Inggs <graham@nerve.org.za>  Sat, 17 Jan 2015 22:11:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: wader
-Maintainer: Alex Chiang <achiang@canonical.com>
+Maintainer: Debian Python Applications Team <python-apps-team@lists.alioth.debian.org>
+Uploaders: Graham Inggs <ginggs@debian.org>
 Section: net
 Priority: optional
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 9),
+               dh-python,
                mobile-broadband-provider-info,
                python-all (>= 2.6.6-3),
                python-dbus,
@@ -14,12 +16,13 @@
                python-setuptools,
                python-twisted-core,
                python-tz
-Standards-Version: 3.9.3
+Standards-Version: 3.9.7
+Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/wader/
+Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/wader/
 Homepage: https://github.com/andrewbird/wader
 
 Package: wader-core
 Architecture: all
-Section: net
 Depends: python-dbus,
          python-gudev,
          python-messaging,
@@ -60,7 +63,7 @@
          ${misc:Depends},
          ${python:Depends}
 Description: common services for wader-core daemon and alternate clients
- A python module providing access to various utilities required by the
+ A Python module providing access to various utilities required by the
  wader-core daemon, such as:
   - AES encryption
   - AT error handling
@@ -73,4 +76,3 @@
  .
  This package can also be used to implement an application requiring access to
  the above listed 3G telephony stack features.
-

=== debian/watch ===
version=3
https://github.com/andrewbird/wader/releases \
.*[^n]/(?:|v|version-|version|release-|r|REL_|rel-|wader(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
